DEV Community

Discussion on: Using Postman's CLI tool for API testing: newman

Collapse
dannydainton profile image
Danny Dainton

Thanks for the shout out, I very rarely create content on here but I live the site. ❤️

I see from your images that you're using an old version of the app.

Version 7 includes a new API tab (next to the Collections tab) that will allow you to import you OpenAPI spec and auto generate a Collection from these.

Collapse
scampiuk profile image
Chris Williams Author

That's something I'll take a look into! We work with the OpenAPI spec to do much of our Dev work, so it's the single-source-of-truth: I'll look if we can use some cli or API way of importing and maintaining the collection from that 👍

Collapse
scampiuk profile image
Chris Williams Author

Ahh so the Ubuntu snap is still installing 6.7.5 as the latest

Collapse
dannydainton profile image
Danny Dainton

Yeah, there's an open issue around that, you could do this instead to get the 7.8.0 version:

sudo snap switch --channel=candidate postman

sudo snap refresh postman